INCLUDES = -I$(top_srcdir)/lib/interfaces -I$(top_srcdir)/lib/util \
	$(all_includes)
METASOURCES = AUTO
partincludedirdir = $(includedir)/tdevelop/parts/documentation
lib_LTLIBRARIES = libdocumentation_interfaces.la
libdocumentation_interfaces_la_LDFLAGS = $(all_libraries)
libdocumentation_interfaces_la_LIBADD = $(LIB_TQT) $(LIB_TDECORE) $(LIB_TDEUI) $(LIB_TDEIO)
libdocumentation_interfaces_la_SOURCES = kdevdocumentationplugin.cpp
partincludedir_HEADERS = kdevdocumentationplugin.h
servicetypedir = $(kde_servicetypesdir)
servicetype_DATA = tdevelopdocumentationplugins.desktop

DOXYGEN_REFERENCES = dcop interfaces tdecore tdefx tdeui tdehtml tdemdi tdeio kjs tdeparts tdeutils kdevutil kdevinterfaces
DOXYGEN_PROJECTNAME = KDevelop Documentation Part Interfaces Library
DOXYGEN_DOCDIRPREFIX = kdevdoc
include ../../../Doxyfile.am
